ru.bitel.bgbilling.modules.voiceip.radius.event

## Class RadiusAuthenticationEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.call.processor.event.RadiusAuthenticationEvent
        - - ru.bitel.bgbilling.modules.voiceip.radius.event.RadiusAuthenticationEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class RadiusAuthenticationEvent
      extends RadiusAuthenticationEvent

  Синхронное событие - RADIUS-аутентификация.
  Событие генерируется перед отправкой положительного или отрицательного ответа авторизации клиенту.
  Позволяет модифицировать ответ, даже изменять его тип.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadiusAuthenticationEvent(RadiusSession<?,?> session, int moduleID, int logRecordId, RadiusPacket request, RadiusPacket response)` Конструктор события.

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.modules.call.processor.event.RadiusAuthenticationEvent

      `getContract, getErrorCode, getLogin, getLogRecordId, getRequest, getResponse, getUserName`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RadiusAuthenticationEvent

          public RadiusAuthenticationEvent(RadiusSession<?,?> session,
                                           int moduleID,
                                           int logRecordId,
                                           RadiusPacket request,
                                           RadiusPacket response)

      Конструктор события.
      Parameters:
        `session` - - радиус сессия
        `moduleID` - - код модуля
        `logRecordId` - - код записи с логов в таблице log_server__yyyyMM
        `request` - - радиус пакет request
        `response` - - радиус пакет response